package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * address
 *
 * @author
 */
@Data
public class AddressVo implements Serializable {
    /**
     * 用户地址ID
     */
    @ApiModelProperty("用户地址ID")
    private Integer addressId;

    /**
     * 用户ID
     */
    @ApiModelProperty("用户ID")
    private Integer userId;

    /**
     * 收货人
     */
    @ApiModelProperty("收货人")
    private String shouHuoRen;

    /**
     * 区ID
     */
    @ApiModelProperty("区ID")
    private Integer townId;

    /**
     * 地址
     */
    @ApiModelProperty("地址")
    private String address;

    /**
     * 邮编
     */
    private String postalCode;

    /**
     * 电话
     */
    private String phone;

    /**
     * 手机
     */
    @ApiModelProperty("手机")
    private String mobile;

    /**
     * 是否默认收货地址(0 不是默认,1 默认)
     */
    @ApiModelProperty("是否默认收货地址(0 不是默认,1 默认)")
    private String defaultFlag;

    /**
     * 市id
     */
    private Integer cityId;

    /**
     * 县id
     */
    private Integer provinceId;

    /**
     * 区名称
     */
    private String townName;

    /**
     * 市名称
     */
    private String cityName;

    /**
     * 县名称
     */
    private String provinceName;

    private static final long serialVersionUID = 1L;
}